Functions
acc_hal_integration_a121.h File Reference
`#include <stdbool.h>`
`#include <stdint.h>`
`#include "acc_definitions_common.h"`
`#include "acc_hal_definitions_a121.h"`

Go to the source code of this file.

## Functions
const acc_hal_a121_t * | acc_hal_rss_integration_get_implementation (void)
| Get hal implementation reference. More...
void | acc_hal_integration_sensor_supply_on (acc_sensor_id_t sensor_id)
| Power on sensor supply. More...
void | acc_hal_integration_sensor_supply_off (acc_sensor_id_t sensor_id)
| Power off sensor supply. More...
void | acc_hal_integration_sensor_enable (acc_sensor_id_t sensor_id)
| Enable sensor. More...
void | acc_hal_integration_sensor_disable (acc_sensor_id_t sensor_id)
| Disable sensor. More...
bool | acc_hal_integration_wait_for_sensor_interrupt (acc_sensor_id_t sensor_id, uint32_t timeout_ms)
| Wait for a sensor interrupt. More...
uint16_t | acc_hal_integration_sensor_count (void)
| Get the max number of sensors the integration supports. More...

## Function Documentation

## ◆ acc_hal_integration_sensor_count()

uint16_t acc_hal_integration_sensor_count | ( | void |  | ) |

Get the max number of sensors the integration supports.

Returns
  The max sensor count

Definition at line 169 of file acc_hal_integration_stm32cube_xm.c.

## ◆ acc_hal_integration_sensor_disable()

void acc_hal_integration_sensor_disable | ( | acc_sensor_id_t | sensor_id | ) |

Disable sensor.

Parameters

  [in] | sensor_id | The id of the sensor to disable

Examples
  acc_control_helper.c, example_bring_up.c, example_detector_distance.c, example_detector_distance_calibration_caching.c, example_detector_distance_low_power_hibernate.c, example_detector_distance_low_power_off.c, example_detector_distance_with_iq_data_print.c, example_detector_presence.c, example_detector_presence_low_power_hibernate.c, example_detector_presence_low_power_off.c, example_detector_presence_multiple_configurations.c, example_detector_presence_with_iq_data_print.c, example_diagnostic_test.c, example_service.c, example_service_calibration_caching.c, example_service_low_power_sensor_disable.c, example_service_low_power_sensor_hibernate.c, example_service_multiple_configurations.c, example_service_sensor_disable.c, example_service_sensor_hibernate.c, example_service_sensor_off.c, example_service_subsweeps.c, example_vibration_main.c, and ref_app_tank_level.c.

Definition at line 119 of file acc_hal_integration_stm32cube_xm.c.

## ◆ acc_hal_integration_sensor_enable()

void acc_hal_integration_sensor_enable | ( | acc_sensor_id_t | sensor_id | ) |

Enable sensor.

Any pending sensor interrupts should be cleared before returning from function. The sensor supply needs to be enabled by invoking acc_hal_integration_sensor_supply_on before calling this function.

Parameters

  [in] | sensor_id | The id of the sensor to enable

Examples
  acc_control_helper.c, example_bring_up.c, example_detector_distance.c, example_detector_distance_calibration_caching.c, example_detector_distance_low_power_hibernate.c, example_detector_distance_low_power_off.c, example_detector_distance_with_iq_data_print.c, example_detector_presence.c, example_detector_presence_low_power_hibernate.c, example_detector_presence_low_power_off.c, example_detector_presence_multiple_configurations.c, example_detector_presence_with_iq_data_print.c, example_diagnostic_test.c, example_service.c, example_service_calibration_caching.c, example_service_low_power_sensor_disable.c, example_service_low_power_sensor_hibernate.c, example_service_multiple_configurations.c, example_service_sensor_disable.c, example_service_sensor_hibernate.c, example_service_sensor_off.c, example_service_subsweeps.c, example_vibration_main.c, and ref_app_tank_level.c.

Definition at line 109 of file acc_hal_integration_stm32cube_xm.c.

## ◆ acc_hal_integration_sensor_supply_off()

void acc_hal_integration_sensor_supply_off | ( | acc_sensor_id_t | sensor_id | ) |

Power off sensor supply.

Parameters

  [in] | sensor_id | The id of the sensor to power off

Examples
  acc_control_helper.c, example_bring_up.c, example_detector_distance.c, example_detector_distance_calibration_caching.c, example_detector_distance_low_power_hibernate.c, example_detector_distance_low_power_off.c, example_detector_distance_with_iq_data_print.c, example_detector_presence.c, example_detector_presence_low_power_hibernate.c, example_detector_presence_low_power_off.c, example_detector_presence_multiple_configurations.c, example_detector_presence_with_iq_data_print.c, example_diagnostic_test.c, example_service.c, example_service_calibration_caching.c, example_service_low_power_sensor_disable.c, example_service_low_power_sensor_hibernate.c, example_service_multiple_configurations.c, example_service_sensor_disable.c, example_service_sensor_hibernate.c, example_service_sensor_off.c, example_service_subsweeps.c, example_vibration_main.c, and ref_app_tank_level.c.

Definition at line 104 of file acc_hal_integration_stm32cube_xm.c.

## ◆ acc_hal_integration_sensor_supply_on()

void acc_hal_integration_sensor_supply_on | ( | acc_sensor_id_t | sensor_id | ) |

Power on sensor supply.

Parameters

  [in] | sensor_id | The id of the sensor to power on

Examples
  acc_control_helper.c, example_bring_up.c, example_detector_distance.c, example_detector_distance_calibration_caching.c, example_detector_distance_low_power_hibernate.c, example_detector_distance_low_power_off.c, example_detector_distance_with_iq_data_print.c, example_detector_presence.c, example_detector_presence_low_power_hibernate.c, example_detector_presence_low_power_off.c, example_detector_presence_multiple_configurations.c, example_detector_presence_with_iq_data_print.c, example_diagnostic_test.c, example_service.c, example_service_calibration_caching.c, example_service_low_power_sensor_disable.c, example_service_low_power_sensor_hibernate.c, example_service_multiple_configurations.c, example_service_sensor_disable.c, example_service_sensor_hibernate.c, example_service_sensor_off.c, example_service_subsweeps.c, example_vibration_main.c, and ref_app_tank_level.c.

Definition at line 99 of file acc_hal_integration_stm32cube_xm.c.

## ◆ acc_hal_integration_wait_for_sensor_interrupt()

bool acc_hal_integration_wait_for_sensor_interrupt | ( | acc_sensor_id_t | sensor_id,
|  | uint32_t | timeout_ms
| ) |  |

Wait for a sensor interrupt.

Parameters

  [in] | sensor_id | The sensor to wait for the interrupt on
  [in] | timeout_ms | The maximum time to wait in milliseconds

Returns
  True if an interrupt has occurred within timeout, false if timeout occurred

Examples
  acc_control_helper.c, example_bring_up.c, example_detector_distance.c, example_detector_distance_calibration_caching.c, example_detector_distance_low_power_hibernate.c, example_detector_distance_low_power_off.c, example_detector_distance_with_iq_data_print.c, example_detector_presence.c, example_detector_presence_low_power_hibernate.c, example_detector_presence_low_power_off.c, example_detector_presence_multiple_configurations.c, example_detector_presence_with_iq_data_print.c, example_diagnostic_test.c, example_service.c, example_service_calibration_caching.c, example_service_low_power_sensor_disable.c, example_service_low_power_sensor_hibernate.c, example_service_multiple_configurations.c, example_service_sensor_disable.c, example_service_sensor_hibernate.c, example_service_sensor_off.c, example_service_subsweeps.c, example_vibration_main.c, and ref_app_tank_level.c.

Definition at line 130 of file acc_hal_integration_stm32cube_xm.c.

## ◆ acc_hal_rss_integration_get_implementation()

const acc_hal_a121_t* acc_hal_rss_integration_get_implementation | ( | void |  | ) |

Get hal implementation reference.

Examples
  example_bring_up.c, example_control_helper.c, example_detector_distance.c, example_detector_distance_calibration_caching.c, example_detector_distance_low_power_hibernate.c, example_detector_distance_low_power_off.c, example_detector_distance_with_iq_data_print.c, example_detector_presence.c, example_detector_presence_low_power_hibernate.c, example_detector_presence_low_power_off.c, example_detector_presence_multiple_configurations.c, example_detector_presence_with_iq_data_print.c, example_diagnostic_test.c, example_processing_amplitude.c, example_processing_coherent_mean.c, example_processing_noncoherent_mean.c, example_processing_peak_interpolation.c, example_processing_static_presence.c, example_processing_subtract_adaptive_bg.c, example_service.c, example_service_calibration_caching.c, example_service_low_power_sensor_disable.c, example_service_low_power_sensor_hibernate.c, example_service_multiple_configurations.c, example_service_sensor_disable.c, example_service_sensor_hibernate.c, example_service_sensor_off.c, example_service_subsweeps.c, example_vibration_main.c, and ref_app_tank_level.c.

Definition at line 152 of file acc_hal_integration_stm32cube_xm.c.